import { request } from '@umijs/max';
import { downLoadXlsx } from '@/utils/downloadfile';

export async function getCmsJobTitleList(params?: API.ClassifyJobs.Params) {
  return request<API.ClassifyJobs.Result>(`/api/cms/job/titile/list`, {
    method: 'GET',
    params: params,
  });
}

export async function exportCmsJobTitleList(params?: API.ClassifyJobs.Params) {
  return downLoadXlsx(`/api/cms/job/titile/export`, { params }, `dict_data_${f}.xlsx`);
}
